> This is a page from the ElevenLabs documentation. For a complete page index, fetch https://elevenlabs.io/docs/llms.txt. For the full documentation in a single file, fetch https://elevenlabs.io/docs/llms-full.txt.

# 音声をリミックス。

POST https://api.elevenlabs.io/v1/text-to-voice/{voice_id}/remix
Content-Type: application/json

プロンプトを使用して既存の音声をリミックスします。このメソッドは音声プレビューのリストを返します。各プレビューにはgenerated_voice_idと、base64エンコードされたmp3オーディオ形式の音声サンプルが含まれます。音声を作成するには、好みのプレビューのgenerated_voice_idを/v1/text-to-voiceエンドポイントで使用してください。

Reference: https://elevenlabs.io/docs/api-reference/text-to-voice/remix

## Servers

- `https://api.elevenlabs.io` (Production, default)
- `https://api.us.elevenlabs.io` (Production US)
- `https://api.eu.residency.elevenlabs.io` (Production EU)
- `https://api.in.residency.elevenlabs.io` (Production India)
- `https://api.sg.residency.elevenlabs.io` (Production Singapore)

## Request

### Path parameters

- `voice_id` (string, required) — 使用する音声IDです。https://api.elevenlabs.io/v1/voices を使用すると、利用可能なすべての音声を一覧表示できます。

### Query parameters

- `output_format` (enum, optional) — 生成されたオーディオの出力形式。codec_sample_rate_bitrate形式で指定します。たとえば、サンプルレート22.05kHz、32kbpsのmp3はmp3_22050_32で表します。ビットレート192kbpsのMP3を使用するには、クリエイター以上への加入が必要です。サンプルレート44.1kHzのPCM形式を使用するには、プロ以上への加入が必要です。μ-law形式（mu-lawとも表記され、u-lawと近似表記されることもあります）は、Twilioのオーディオ入力で一般的に使用されます。
  - Allowed values: `mp3_22050_32`, `mp3_24000_48`, `mp3_44100_32`, `mp3_44100_64`, `mp3_44100_96`, `mp3_44100_128`, `mp3_44100_192`, `pcm_8000`, `pcm_16000`, `pcm_22050`, `pcm_24000`, `pcm_32000`, `pcm_44100`, `pcm_48000`, `ulaw_8000`, `alaw_8000`, `opus_48000_32`, `opus_48000_64`, `opus_48000_96`, `opus_48000_128`, `opus_48000_192`

### Body (application/json)

This endpoint expects a VoiceRemixRequestModel.

- `voice_description` (string, required) — 音声に加える変更の説明。
- `text` (string, optional, nullable) — 生成するテキスト。テキストの長さは100～1000文字である必要があります。
- `auto_generate_text` (boolean, optional, default: false) — 音声説明に適したテキストを自動生成するかどうか。
- `loudness` (double, optional, default: 0.5) — 生成される音声の音量レベルを制御します。-1が最も小さく、1が最も大きく、0はおよそ-24 LUFSに相当します。
- `seed` (integer, optional, nullable) — 音声生成を制御する乱数。同じ入力で同じシードを使用すると、同じ音声が生成されます。
- `guidance_scale` (double, optional, default: 2) — AIがプロンプトにどの程度厳密に従うかを制御します。値が低いほどAIはより自由に創造性を発揮でき、値が高いほどプロンプトに厳密に従います。値が高いと、音声が不自然またはロボットのように聞こえることがあります。Guidance Scaleが低い場合は、より長く詳細なプロンプトを使用することをおすすめします。
- `stream_previews` (boolean, optional, default: false) — レスポンスにText to Voiceのプレビューを含めるかどうかを決定します。trueの場合、生成されたIDのみが返され、/v1/text-to-voice/:generated_voice_id/streamエンドポイントでストリーミングできます。
- `remixing_session_id` (string, optional, nullable) — リミックスセッションID。
- `remixing_session_iteration_id` (string, optional, nullable) — これらの生成結果を紐付けるリミックスセッションのイテレーションID。指定しない場合、新しいイテレーションが作成されます。
- `prompt_strength` (double, optional, nullable) — 音声サンプル生成時のプロンプトと参照オーディオのバランスを制御します。0はプロンプトの影響がほとんどないことを、1は参照オーディオの影響がほとんどないことを意味します。eleven_ttv_v3モデル使用時のみサポートされます。

## Response

### 200

成功レスポンス。

- `previews` (list of VoicePreviewResponseModel, required) — 生成された音声のプレビュー。
- `text` (string, required) — 音声のプレビューに使用するテキストです。

## Errors

### 409 Conflict Error

このプレビューの生成はすでに進行中です。リクエストを再試行してください。

- `any`

### 422 Unprocessable Entity Error

検証エラー

- `detail` (list of ValidationError, optional)

## Types

### VoicePreviewResponseModel

- `audio_base_64` (string, required) — プレビューのBase64エンコード済みオーディオ。
- `generated_voice_id` (string, required) — 生成された音声のID。プレビューから音声を作成するために使用します。
- `media_type` (string, required) — プレビューのメディアタイプ。
- `duration_secs` (double, required) — プレビューの長さ（秒）。
- `language` (string, required, nullable) — プレビューの言語。

### ValidationError

- `loc` (list of ValidationErrorLocItems, required)
- `msg` (string, required)
- `type` (string, required)

### ValidationErrorLocItems

## Examples

**Request**

```json
{
  "voice_description": "Make the voice have a higher pitch."
}
```

**Response**

```json
{
  "previews": [
    {
      "audio_base_64": "string",
      "generated_voice_id": "string",
      "media_type": "string",
      "duration_secs": 1.1,
      "language": "string"
    }
  ],
  "text": "string"
}
```

**SDK Code**

```python
import requests

url = "https://api.elevenlabs.io/v1/text-to-voice/21m00Tcm4TlvDq8ikWAM/remix"

payload = { "voice_description": "Make the voice have a higher pitch." }
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.elevenlabs.io/v1/text-to-voice/21m00Tcm4TlvDq8ikWAM/remix';
const options = {
  method: 'POST',
  headers: {'Content-Type': 'application/json'},
  body: '{"voice_description":"Make the voice have a higher pitch."}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.elevenlabs.io/v1/text-to-voice/21m00Tcm4TlvDq8ikWAM/remix"

	payload := strings.NewReader("{\n  \"voice_description\": \"Make the voice have a higher pitch.\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.elevenlabs.io/v1/text-to-voice/21m00Tcm4TlvDq8ikWAM/remix")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n  \"voice_description\": \"Make the voice have a higher pitch.\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.elevenlabs.io/v1/text-to-voice/21m00Tcm4TlvDq8ikWAM/remix")
  .header("Content-Type", "application/json")
  .body("{\n  \"voice_description\": \"Make the voice have a higher pitch.\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.elevenlabs.io/v1/text-to-voice/21m00Tcm4TlvDq8ikWAM/remix', [
  'body' => '{
  "voice_description": "Make the voice have a higher pitch."
}',
  'headers' => [
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.elevenlabs.io/v1/text-to-voice/21m00Tcm4TlvDq8ikWAM/remix");
var request = new RestRequest(Method.POST);
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"voice_description\": \"Make the voice have a higher pitch.\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Content-Type": "application/json"]
let parameters = ["voice_description": "Make the voice have a higher pitch."] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.elevenlabs.io/v1/text-to-voice/21m00Tcm4TlvDq8ikWAM/remix")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```